package org.framework.lazy.cloud.network.heartbeat.client.netty.proxy.http;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.framework.lazy.cloud.network.heartbeat.client.config.NettyClientProperties;
import org.framework.lazy.cloud.network.heartbeat.common.InternalNetworkPermeate;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.HandleChannelTypeAdvanced;

import java.util.List;


/**
 * 客户端代理服务端配置信息
 */
@NoArgsConstructor
@Data
public class NettyHttpClientProxyServer  {

    /**
     * 目标地址
     */
    private String targetIp;

    /**
     * 目标端口
     */
    private Integer targetPort;

    /**
     * 服务端地址信息
     */
    private NettyClientProperties nettyClientProperties;

    /**
     * 通道处理器
     */
    private List<HandleChannelTypeAdvanced> handleChannelTypeAdvancedList;


    /**
     * 发送数据
     */
    private byte[] data;
    /**
     * 是否是ssl
     */
    private  boolean isSsl;

}
