package org.framework.lazy.cloud.network.heartbeat.client.netty.proxy.http.advanced;

import com.alibaba.fastjson.JSON;
import io.netty.channel.Channel;
import lombok.extern.slf4j.Slf4j;
import org.framework.lazy.cloud.network.heartbeat.common.NettyProxyMsg;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.proxy.http.client.AbstractHandleHttpDistributeClientProxyServerClientRouteTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.protocol.route.ClientProxyRoute;
import org.framework.lazy.cloud.network.heartbeat.protocol.route.RouteContext;

/**
 * http 远程代理
 * 客户端：客户端远程到服务端、客户端远程到客户端
 */
@Slf4j
public class ClientHandleDistributeHttpClientProxyServerClientRouteTypeAdvanced extends
        AbstractHandleHttpDistributeClientProxyServerClientRouteTypeAdvanced<NettyProxyMsg> {


    /**
     * 处理当前数据
     *
     * @param channel       当前通道
     * @param nettyProxyMsg 通道数据
     */
    @Override
    protected void doHandler(Channel channel, NettyProxyMsg nettyProxyMsg) {

        byte[] data = nettyProxyMsg.getData();
        ClientProxyRoute clientProxyRoute = JSON.parseObject(data, ClientProxyRoute.class);
        RouteContext.setRoute(clientProxyRoute);


    }
}
