package org.framework.lazy.cloud.network.heartbeat.common.advanced.proxy.http.server;

import org.framework.lazy.cloud.network.heartbeat.common.NettyProxyMsg;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.AbstractHandleChannelTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.HandleChannelTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.common.enums.TcpMessageTypeEnums;

/**
 * 远程代理服务通道关闭
 * @param <MSG>
 */
public abstract class AbstractHandleHttpReportClientProxyServerTransferCloseTypeAdvanced<MSG> extends AbstractHandleChannelTypeAdvanced<NettyProxyMsg> implements HandleChannelTypeAdvanced {


    /**
     * 是否支持当前类型
     *
     * @param nettyProxyMsg 通道数据
     * @return 布尔类型 是、否
     */
    @Override
    protected boolean doSupport(NettyProxyMsg nettyProxyMsg) {
        return TcpMessageTypeEnums.HTTP_CLIENT_PROXY_SERVER_TRANSFER_CLOSE_REPORT_.getTypeByte() == nettyProxyMsg.getType();
    }
}
