package org.framework.lazy.cloud.network.heartbeat.protocol.handler;

import io.netty.channel.Channel;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import io.netty.channel.socket.DatagramPacket;

import java.net.InetSocketAddress;


public class NettyUdpProxyBackendHandler extends SimpleChannelInboundHandler<DatagramPacket> {
    private final Channel inboundChannel;
    private final InetSocketAddress clientAddress;

    public NettyUdpProxyBackendHandler(Channel inboundChannel, InetSocketAddress clientAddress) {
        this.inboundChannel = inboundChannel;
        this.clientAddress = clientAddress;
    }

    @Override
    protected void channelRead0(ChannelHandlerContext ctx, DatagramPacket packet) throws Exception {
        inboundChannel.writeAndFlush(new DatagramPacket(packet.content().retain(), clientAddress));
        ctx.channel().close();
    }

    @Override
    public void exceptionCaught(ChannelHandlerContext ctx, Throwable cause) throws Exception {
        cause.printStackTrace();
        ctx.close();
    }
}