package org.framework.lazy.cloud.network.heartbeat.protocol.route;

import java.util.concurrent.ConcurrentHashMap;

/**
 * 路由上下文
 */
public class RouteContext {


    // key 验证ip、端口、类型
    private static final ConcurrentHashMap<String, ProxyRoute> m = new ConcurrentHashMap<>();


    public static void setRoute(ProxyRoute route) {
        RouteType routeType = route.getRouteType();
        String allowIp = route.getAllowIp();
        String allowPort = route.getAllowPort();
        String key = allowIp + ":" + allowPort + routeType;
        if (m.containsKey(key)) {
            return;
        }
        // TODO 验证ip、端口、类型
        m.put(key, route);
    }

    public static ProxyRoute getRoute(String ip, String port) {
        ProxyRoute p = m.values()
                .stream()
                .filter(route -> route.getAllowIp().equals(ip) && (route.getAllowPort().equals(port) || route.getAllowPort().equals("ALL")))
                .findFirst()
                .orElse(null);
        return p;
    }
}
