package org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.client.route;

import lombok.Data;
import lombok.experimental.Accessors;
import io.swagger.v3.oas.annotations.media.Schema;
import java.lang.String;
import java.time.LocalDateTime;
import java.lang.Long;
import java.lang.Boolean;
/**
 * describe 客户端代理路由规则 
 *
 * @author Jia wei Wu
 * @date 2025/04/05 09:00 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyQueryOneCommand 
 **/
@Data
@Accessors(chain = true)
@Schema(title = "lazy_netty_client_route_query_one_command",description = "客户端代理路由规则")
public class LazyNettyClientRouteQueryOneCommand {


    /**
     * 
     * 客户端ID
     */
    @Schema(description ="客户端ID",name ="clientId",example = "")
    private String clientId;

    /**
     * 
     * 创建时间
     */
    @Schema(description ="创建时间",name ="createTime",example = "")
    private LocalDateTime createTime;

    /**
     * 
     * 规则描述
     */
    @Schema(description ="规则描述",name ="describe",example = "")
    private String describe;

    /**
     * 
     * 主键ID
     */
    @Schema(description ="主键ID",name ="id",example = "")
    private Long id;

    /**
     * 
     * 是否删除
     */
    @Schema(description ="是否删除",name ="isDeleted",example = "")
    private Boolean isDeleted=false;

    /**
     * 
     * 路由IP
     */
    @Schema(description ="路由IP",name ="routeIp",example = "")
    private String routeIp;

    /**
     * 
     * 路由端口：默认ALL
     */
    @Schema(description ="路由端口：默认ALL",name ="routePort",example = "")
    private String routePort;

    /**
     * 
     * 更新时间
     */
    @Schema(description ="更新时间",name ="updateTime",example = "")
    private LocalDateTime updateTime;

}