package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.client.route;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.client.route.LazyNettyClientRoute;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 客户端代理路由规则 
 *
 * @author Jia wei Wu
 * @date 2025/04/05 09:00 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository 
 **/

public interface LazyNettyClientRouteRepository {


    /**
     * describe 新增客户端代理路由规则
     *
     * @param lazyNettyClientRoute 新增客户端代理路由规则     
     * @return {@link  Result<LazyNettyClientRoute>} 客户端代理路由规则新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/

    Result<LazyNettyClientRoute> story(LazyNettyClientRoute lazyNettyClientRoute);

    /**
     * describe 批量新增客户端代理路由规则
     *
     * @param lazyNettyClientRouteList 批量新增客户端代理路由规则     
     * @return {@link Result<List<LazyNettyClientRoute>>} 客户端代理路由规则新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/

    Result<List<LazyNettyClientRoute>> batchStory(List<LazyNettyClientRoute> lazyNettyClientRouteList);

    /**
     * describe 查询单个客户端代理路由规则
     *
     * @param lazyNettyClientRoute 查询单个客户端代理路由规则     
     * @return {@link Result<LazyNettyClientRoute>} 客户端代理路由规则DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/

    Result<LazyNettyClientRoute> findOne(LazyNettyClientRoute lazyNettyClientRoute);

    /**
     * describe 查询多个客户端代理路由规则
     *
     * @param lazyNettyClientRoute 查询多个客户端代理路由规则     
     * @return {@link Result<List<LazyNettyClientRoute>>} 客户端代理路由规则DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/

    Result<List<LazyNettyClientRoute>> findList(LazyNettyClientRoute lazyNettyClientRoute);

    /**
     * describe 分页查询多个客户端代理路由规则
     *
     * @param size 当前页数
     * @param current 当前页
     * @param lazyNettyClientRoute 分页查询多个客户端代理路由规则     
     * @return {@link Result<LazyPage<LazyNettyClientRoute>>} 分页客户端代理路由规则领域对象     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/

    Result<LazyPage<LazyNettyClientRoute>> findPage(int size,int current,LazyNettyClientRoute lazyNettyClientRoute);

    /**
     * describe 删除客户端代理路由规则
     *
     * @param lazyNettyClientRoute 删除客户端代理路由规则     
     * @return {@link Result<LazyNettyClientRoute>} 客户端代理路由规则     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/

    Result<LazyNettyClientRoute> remove(LazyNettyClientRoute lazyNettyClientRoute);

    /**
     * describe 是否存在客户端代理路由规则
     *
     * @param lazyNettyClientRoute 是否存在客户端代理路由规则     
     * @return {@link Result<Boolean>} 客户端代理路由规则是否存在     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/

    Result<Boolean> exists(LazyNettyClientRoute lazyNettyClientRoute);

}