package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.client.route.LazyNettyClientRoute;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyNettyClientRouteDO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 客户端代理路由规则 
 *
 * @author Jia wei Wu
 * @date 2025/04/05 09:00 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@Mapper
public interface LazyNettyClientRouteConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/
    LazyNettyClientRouteConverter INSTANCE = Mappers.getMapper(LazyNettyClientRouteConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyNettyClientRouteDO 客户端代理路由规则实体对象     
     * @return {@link LazyNettyClientRoute} 客户端代理路由规则领域对象     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/
    LazyNettyClientRoute toLazyNettyClientRoute(LazyNettyClientRouteDO lazyNettyClientRouteDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyNettyClientRoute 客户端代理路由规则领域对象     
     * @return {@link LazyNettyClientRouteDO} 客户端代理路由规则实体对象     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/
     LazyNettyClientRouteDO fromLazyNettyClientRoute(LazyNettyClientRoute lazyNettyClientRoute); 
}