package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.route.LazyNettyServerRoute;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyNettyServerRouteDO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 服务端路由 
 *
 * @author Jia wei Wu
 * @date 2025/04/05 09:00 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@Mapper
public interface LazyNettyServerRouteConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/
    LazyNettyServerRouteConverter INSTANCE = Mappers.getMapper(LazyNettyServerRouteConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyNettyServerRouteDO 服务端路由实体对象     
     * @return {@link LazyNettyServerRoute} 服务端路由领域对象     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/
    LazyNettyServerRoute toLazyNettyServerRoute(LazyNettyServerRouteDO lazyNettyServerRouteDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyNettyServerRoute 服务端路由领域对象     
     * @return {@link LazyNettyServerRouteDO} 服务端路由实体对象     
     
     * @author Jia wei Wu
     * @date 2025/04/05 09:00 晚上
     **/
     LazyNettyServerRouteDO fromLazyNettyServerRoute(LazyNettyServerRoute lazyNettyServerRoute); 
}